/*
 * $Id: //depot/prod/kamino/main/util/viewServerInfo/src/ViewServerInfo.h#3 $
 *
 * Copyright (c) 2008 NetApp, Inc.
 * All rights reserved.
 */

#include "ViewServerCmnd.h"
#include <vector>
#include <map>
#include <string>
#include <jni.h>

using namespace std;


#ifndef _Included_com_netapp_kamino_server_view_ViewServerInfo
#define _Included_com_netapp_kamino_server_view_ViewServerInfo
#ifdef __cplusplus
extern "C" {
#endif

/*
 * Class:     com_netapp_kamino_server_view_ViewServerInfo
 * Method:    getVirtualCenterGUID
 * Signature: (Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;
 */
JNIEXPORT jint JNICALL Java_com_netapp_kamino_server_view_ViewServerInfo_validateCredentials
  (JNIEnv *, jclass, jstring, jstring, jstring);

/*
 * Class:     com_netapp_kamino_server_view_ViewServerInfo
 * Method:    getVirtualCenterGUID
 * Signature: (Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;Ljava/lang/String;
 */
JNIEXPORT jobject JNICALL Java_com_netapp_kamino_server_view_ViewServerInfo_getVirtualCenterGUID
  (JNIEnv *, jclass, jstring, jstring, jstring, jobjectArray);

/*
 * Class:     com_netapp_kamino_server_ViewServerInfo
 * Method:    getPools
 * Signature: (Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;
 */
JNIEXPORT jobject JNICALL Java_com_netapp_kamino_server_view_ViewServerInfo_getPools
  (JNIEnv *, jclass, jstring, jstring, jstring, jboolean);

/*
 * Class:     com_netapp_kamino_server_view_ViewServerInfo
 * Method:    importPool
 * Signature: (Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;IILjava/lang/String;[Lcom/netapp/kamino/server/view/DesktopSource;)V
 */
JNIEXPORT jint JNICALL Java_com_netapp_kamino_server_view_ViewServerInfo_importPool
  (JNIEnv *, jclass, jstring, jstring, jstring, jobjectArray, jint, jint, jobjectArray);

void JDesktopSourceToCDesktopSource(JNIEnv* env, jobject jdesktopSource, ViewDesktopSource* desktopSource);
jobject getViewServerRet1(JNIEnv* env, int response, char* dn);
jobject getViewServerRet2(JNIEnv* env, int response, vector<ViewPool*> &pools);

#ifdef __cplusplus
}
#endif
#endif
